<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task31.10</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
        .div-background-picture{
            background-image : url("signup-bg.jpg");
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity:0.7
        }
    </style>
</head>
<body>
    <div class="container-fluid div-background-picture">
        <form id="form-login">
            <div class = " d-flex align-items-center min-vh-100">
                <div class = "jumbotron col-sm-4 mx-auto text-center jumbotron">
                    <div class = "mb-5">
                        <h3 class="text-center">Create account</h3>
                    </div>
                    <div class = "form-group">
                        <input id= "username-inp" type="text" name = "username" placeholder="Your Name" class = "form-control" value="" autocomplete="username">
                    </div>
                    <div class = "form-group">
                        <input id= "email-inp" type="text" name = "email" placeholder="Your Email" class = "form-control" value="" autocomplete="email">
                    </div>
                    <div class = "form-group">
                        <input id="pw-login-password" type="password" name = "password" placeholder="Your Password" class = "form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div class = "form-group">
                        <input id="pw-login-password2" type="password" name = "password2" placeholder="Repeat Your Password" class = "form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div class="form-group">
                        <input type="checkbox" name="acceptterm" id="ckb-agree" class="form-check-input">
                        <label class="form-check-label" for="acceptterm">I agree all statements in <span class="fw-bold text-decoration-underline">Term of service</span> </label>                    
                    </div>
                    <div class="form-group">
                        <button id="btn-sign-up" type="submit" class = "btn btn-log btn-block btn-success">SIGN UP</button>
                    </div>
                </div>
                
            </div>

        </form>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
        $("#form-login").on("submit",function(event){
            event.preventDefault();
            onFormSubmit();
        })
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onFormSubmit(){
        //b1: thu thập dữ liệu
            //khai báo biến object lưu thông tin đăng ký
            var vFormObj = {
                username: "",
                email: "",
                password: "",
                password2: "",
                isAgree: false
            }
            dataRead(vFormObj);
            //b2: kiểm tra dữ liệu sign-up
            var vCheck = validateData(vFormObj);
            if (vCheck){
                //b3: hiển thị thông tin
                showData(vFormObj);
            }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //khai báo hàm thu thập thông tin
    function dataRead(paramFormObj){
        paramFormObj.username = $("#username-inp").val().trim();
        paramFormObj.email = $("#email-inp").val().trim();
        paramFormObj.password = $("#pw-login-password").val().trim();
        paramFormObj.password2 = $("#pw-login-password2").val().trim();
        paramFormObj.isAgree = $("#ckb-agree").is(":checked");
    }
    //khai báo hàm kiểm ta thông tin sign up
    function validateData(paramFormObj){
        if (paramFormObj.username == ""){
            alert ("Please input username");
            $("#username-inp").focus();
            return false;
        }
        var bEmailCheck = validateEmail(paramFormObj.email);
        if (bEmailCheck == false){
            $("#email-inp").focus();
            return false;
        }
        if (paramFormObj.password == ""){
            alert ("Please input password");
            $("#pw-login-password").focus();
            return false;
        }
        if (paramFormObj.password2 == ""){
            alert ("Please confirm password");
            $("#pw-login-password2").focus();
            return false;
        }
        if (paramFormObj.isAgree == false){
            alert ("Please confirm that you agree with term of service");
            $("#ckb-agree").focus();
            return false;
        }
        if (paramFormObj.password !== paramFormObj.password2){
            alert ("Cannot sign up. Password does not match");
            $("pwd-login-password2").focus();
            return false;
        }
        if (paramFormObj.password.length < 8){
            alert ("Please input password with at least 8 characters");
            $("#pw-login-password").focus();
            return false;
        } 
        return true;
    }
    //khai báo hàm kiểm tra email
    function validateEmail(paramEmailInput){
        if (paramEmailInput == ""){
            alert ("Please input email!");
            return false;
        } 
        else {
            var vViTriAt = paramEmailInput.indexOf("@");
            var vViTriAt2 = paramEmailInput.indexOf(".");
            if (vViTriAt2 == -1){
                alert ("Email should include . ");
                return false;
            }
            else if (vViTriAt == -1){
                alert ("Email should include @");
                return false;
            }
            else if (vViTriAt == 0 || vViTriAt == paramEmailInput.length - 1){
                alert ("Email should include @ between at least 2 other characters");
                return false;
            }
            return true;
        }      
    }
    //khai báo hàm hiển thị thông tin
    function showData(paramFormObj){
        console.log(paramFormObj);
    }
</script>
</html>